import { FC } from 'react';
import BleStates from './BleState';
import ChannelStates from './ChannelStates';
import DeviceStates from './DeviceStates';
import styles from './StateBar.module.css';

const StateBar: FC = () => {
  return (
    <div className={styles.state_bar}>
      <BleStates />
      <ChannelStates channel="a" />
      <ChannelStates channel="b" />
      <DeviceStates />
    </div>
  );
};

export default StateBar;
